# Open-source intelligence (OSINT)

Open-source intelligence (OSINT) is data collected from open source and publicly available sources. The following are a few OSINT resources and references:

- [GOSINT](https://github.com/ciscocsirt/gosint) - a project used for collecting, processing, and exporting high quality indicators of compromise (IOCs). GOSINT allows a security analyst to collect and standardize structured and unstructured threat intelligence.
- [Awesome Threat Intelligence](https://github.com/santosomar/awesome-threat-intelligence) - A curated list of awesome Threat Intelligence resources. This is a great resource and I try to contribute to it.
- [Umbrella (OpenDNS) Popularity List](http://s3-us-west-1.amazonaws.com/umbrella-static/index.html) - most queried domains based on passive DNS usage across our Umbrella global network of more than 100 Billion requests per day with 65 million unique active users, in more than 165 countries.
- [Findsubdomains](https://findsubdomains.com/) - comprehensive subdomain gathering tool which collects subdomains from many sources, validates the output through various tools and enriches the data.

# Other Passive Recon Tools:
- [Maltego](https://www.paterva.com/web7/)
- [Shodan](https://shodan.io)
- [Recon-NG](https://github.com/lanmaster53/recon-ng)
- [SpiderFoot](http://spiderfoot.net)
- [Buscador VM](https://inteltechniques.com/buscador)
- [Visual SEO Studio](https://visual-seo.com/)
- [Scrapy](https://scrapy.org)
- [Screaming Frog](https://www.screamingfrog.co.uk)
- [Xenu](http://home.snafu.de)
- [ExtractMetadata](http://www.extractmetadata.com)
- [FOCA](https://elevenpaths.com)
- [Exiftool](https://www.sno.phy.queensu.ca/~phil/exiftool/)
- [Web Data Extractor](http://www.webextractor.com)
- [IntelTechniques](https://inteltechniques.com)

