# Cyber Security Resources 

<center><img src="https://h4cker.org/img/h4cker2.PNG" width="200" height="300" /> </center>

This repository includes thousands of cybersecurity-related references and resources and it is maintained by [Omar Santos](https://omarsantos.io/). This GitHub repository has been created to provide supplemental material to several books, video courses, and live training created by Omar Santos and other co-authors. It provides over 7,000 references, scripts, tools, code, and other resources that help offensive and defensive security professionals learn and develop new skills. This GitHub repository provides guidance on how build your own hacking environment, learn about offensive security (ethical hacking) techniques, vulnerability research, exploit development, reverse engineering, malware analysis, threat intelligence, threat hunting, digital forensics and incident response (DFIR), includes examples of real-life penetration testing reports, and more.

## The Art of Hacking Series
The [Art of Hacking Series](http://theartofhacking.org) is a series of video courses and live training that help you get up and running with your cybersecurity career.  The following are the different video courses that are part of the Art of Hacking series:

* [Security Penetration Testing (The Art of Hacking Series)](https://www.safaribooksonline.com/library/view/security-penetration-testing/9780134833989)
* [Wireless Networks, IoT, and Mobile Devices Hacking (The Art of Hacking Series)](https://www.safaribooksonline.com/library/view/wireless-networks-iot/9780134854632/)
* [Enterprise Penetration Testing and Continuous Monitoring (The Art of Hacking Series)](https://www.safaribooksonline.com/videos/enterprise-penetration-testing/9780134854779)
* [Hacking Web Applications: Security Penetration Testing for Today's DevOps and Cloud Environments (The Art of Hacking Series)](https://www.safaribooksonline.com/videos/hacking-web-applications/9780135261422)

These courses serve as comprehensive guide for any network and security professional who is starting a career in ethical hacking and penetration testing. It also can help individuals preparing for the [Offensive Security Certified Professional (OSCP)](https://www.offensive-security.com/information-security-certifications/), the [Certified Ethical Hacker (CEH)](https://www.eccouncil.org/programs/certified-ethical-hacker-ceh/), [CompTIA PenTest+](https://certification.comptia.org/certifications/pentest) and any other ethical hacking certification. This course helps any cyber security professional that want to learn the skills required to becoming a professional ethical hacker or that want to learn more about general hacking methodologies and concepts.

These video courses are published by Pearson, but this GitHub repository is maintained and supported by the lead author of the series [Omar Santos](https://omarsantos.io/). 

## Live Training
Other Live Training and Video Courses: https://h4cker.org/training
